[med-svn] [Git][med-team/libslow5lib][master] 15 commits: s/inclue/include
Nilesh Patra (@nilesh)
gitlab at salsa.debian.org
Sat Jul 2 09:27:49 BST 2022
Nilesh Patra pushed to branch master at Debian Med / libslow5lib
Commits:
c08625f9 by Nilesh Patra at 2022-07-02T05:49:56+00:00
s/inclue/include
- - - - -
ea7e62e8 by Nilesh Patra at 2022-07-02T06:19:01+00:00
d/clean: more files to clean
- - - - -
a0af5bd3 by Nilesh Patra at 2022-07-02T06:19:01+00:00
Install py so properly
- - - - -
a7d32d3e by Nilesh Patra at 2022-07-02T06:22:38+00:00
d/rules: substvars for python3 binding properly
- - - - -
fa12772d by Nilesh Patra at 2022-07-02T06:32:55+00:00
Build-dep on python3-all
- - - - -
2f4ced62 by Nilesh Patra at 2022-07-02T12:13:58+05:30
Add upstream/metadata
- - - - -
641b9b42 by Nilesh Patra at 2022-07-02T12:20:39+05:30
Uncomment test, remove redundant lines
- - - - -
c74d49a4 by Nilesh Patra at 2022-07-02T12:40:32+05:30
Fix copyr
- - - - -
0afc2369 by Nilesh Patra at 2022-07-02T12:53:15+05:30
Install examples for python binding
- - - - -
974c7eb3 by Nilesh Patra at 2022-07-02T07:44:30+00:00
Run python unitest rather than example as build time test
- - - - -
e788f19f by Nilesh Patra at 2022-07-02T07:45:49+00:00
Install more files in header lib
- - - - -
77da6d3b by Nilesh Patra at 2022-07-02T08:03:39+00:00
Use DEB_HOST_MULTIARCH instead of DEB_HOST_GNU_TYPE
- - - - -
c08d729e by Nilesh Patra at 2022-07-02T08:03:55+00:00
Add patch to avoid baseline violation
- - - - -
a76a31fa by Nilesh Patra at 2022-07-02T13:36:37+05:30
Add autopkgtests
- - - - -
a8339849 by Nilesh Patra at 2022-07-02T13:42:30+05:30
Upload to unstable
- - - - -
12 changed files:
- debian/changelog
- debian/clean
- debian/control
- debian/copyright
- debian/patches/enable_shared_and_static.patch
- + debian/patches/fix-baseline.patch
- debian/patches/series
- debian/rules
- + debian/tests/control
- + debian/tests/run-pkg-test
- + debian/tests/run-pybinding-test
- debian/upstream/metadata
Changes:
=====================================
debian/changelog
=====================================
@@ -1,5 +1,5 @@
-libslow5lib (0.5.1+dfsg-1) UNRELEASED; urgency=medium
+libslow5lib (0.5.1+dfsg-1) unstable; urgency=medium
- * Initial release (Closes: #<bug>)
+ * Initial release (Closes: #1014210)
- -- Andreas Tille <tille at debian.org> Wed, 29 Jun 2022 20:34:40 +0200
+ -- Andreas Tille <tille at debian.org> Sat, 02 Jul 2022 13:39:22 +0530
=====================================
debian/clean
=====================================
@@ -2,3 +2,5 @@
build/
lib/
python/pyslow5.c
+examples/*.idx
+examples/*.blow5
=====================================
debian/control
=====================================
@@ -7,6 +7,7 @@ Build-Depends: debhelper-compat (= 13),
cmake,
d-shlibs,
dh-python,
+ python3-all,
python3-all-dev,
libstreamvbyte-dev,
libzstd-dev,
=====================================
debian/copyright
=====================================
@@ -22,6 +22,7 @@ Copyright: 2020-2022 Hasindu Gamaarachchi, Sasha Jenner, Hiruna Samarakoon
License: MIT
Files: include/slow5/klib/*
+ src/klib/ksort.h
Copyright: 2008 Attractive Chaos <attractor at live.co.uk>
License: MIT
=====================================
debian/patches/enable_shared_and_static.patch
=====================================
@@ -4,7 +4,7 @@ Description: Enable static and shared library
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
-@@ -42,18 +42,31 @@ set(slow5_press src/slow5_press.c)
+@@ -42,18 +42,31 @@
# add_executable(slow5exmp ${openmp_get_reads})
@@ -38,13 +38,13 @@ Description: Enable static and shared library
+target_compile_definitions(slow5_static PUBLIC _GLIBCXX_DEBUG) # PUBLIC to maintain ABI compatibility
+target_compile_definitions(slow5 PUBLIC _GLIBCXX_DEBUG) # PUBLIC to maintain ABI compatibility
+
-+target_include_directories(slow5_static PUBLIC inclue)
++target_include_directories(slow5_static PUBLIC include)
+target_include_directories(slow5 PUBLIC include)
+
# Build a static lib
#add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
#
-@@ -72,3 +85,10 @@ target_link_libraries(slow5)
+@@ -72,3 +85,10 @@
# target_link_libraries(slow5test slow5 streamvbyte_slow5 -lz -ldl -lm)
# target_link_libraries(slow5exmp slow5 streamvbyte_slow5 -lz -ldl -lm)
# ENDIF()
=====================================
debian/patches/fix-baseline.patch
=====================================
@@ -0,0 +1,21 @@
+Description: remove fpu flags that are not present on ancient CPUs
+Author: Nilesh Patra <nilesh at debian.org>
+Last-Update: 2022-07-02
+--- a/setup.py
++++ b/setup.py
+@@ -49,15 +49,6 @@
+ # extra_compile_args = []
+ # os.environ["CFLAGS"] = '-g -Wall -O2 -std=c99'
+
+-arch=platform.machine()
+-if arch in ["aarch64", "arm64"]:
+- extra_compile_args.append('-D__ARM_NEON__')
+-elif arch in ["aarch64"]:
+- extra_compile_args.append('-mfpu=neon')
+-elif arch in ["x86_64"]:
+- extra_compile_args.extend(['-DSTREAMVBYTE_SSSE3=1', '-mssse3']) # WARNING: ancient x86_64 CPUs don't have SSSE3
+-
+-
+ # include_dirs = ['include/', np.get_include() ]
+ libraries = ['m', 'z', 'streamvbyte']
+ library_dirs = ['.']
=====================================
debian/patches/series
=====================================
@@ -1,2 +1,3 @@
use_debian_packaged_streamvbyte.patch
enable_shared_and_static.patch
+fix-baseline.patch
=====================================
debian/rules
=====================================
@@ -24,22 +24,31 @@ override_dh_auto_build:
for py in `py3versions -s`; do \
$$py setup.py build; \
done
-#FIXME cp build/lib.*/*.so ./
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
mkdir -p lib
- #cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
- #$(MAKE) -C test zstd=1
- PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 < python/example.py
+ cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
+ $(MAKE) -C test zstd=1
+ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 -m unittest -v python/test.py
endif
override_dh_install:
- mv debian/tmp/usr/lib/$(DEB_HOST_GNU_TYPE)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_GNU_TYPE)/libslow5.a
+ mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
d-shlibmove --commit \
--multiarch \
--devunversioned \
--exclude-la \
--movedev include usr \
- debian/tmp/usr/lib/$(DEB_HOST_GNU_TYPE)/libslow5.so
+ debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.so
dh_install
+ dh_install -plibslow5-dev src/*.h usr/include/slow5/
+ dh_install -ppython3-slow5 build/lib.*-*/* usr/lib/python3/dist-packages/
+
+execute_after_dh_install:
+ dh_numpy3
+
+override_dh_installexamples:
+ dh_installexamples
+ dh_installexamples -ppython3-slow5 python/example.py
+ dh_installexamples -ppython3-slow5 examples/*.slow5
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,7 @@
+Tests: run-pybinding-test
+Depends: @, python3-all
+Restrictions: allow-stderr
+
+Tests: run-pkg-test
+Depends: @, build-essential, zlib1g-dev, libstreamvbyte-dev
+Restrictions: allow-stderr
=====================================
debian/tests/run-pkg-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+CUR_DIR=`pwd`
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/test/unit_test* "${AUTOPKGTEST_TMP}"
+cd "${AUTOPKGTEST_TMP}"
+
+for f in unit_test*.c
+do
+ echo "Checking $f"
+ gcc -I/usr/include/slow5/ $f -lslow5 -lm -lz -lstreamvbyte -o test.out
+ rm -f test.out
+ echo "Done!"
+done
=====================================
debian/tests/run-pybinding-test
=====================================
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/python3-slow5/examples/ "${AUTOPKGTEST_TMP}"
+cd "${AUTOPKGTEST_TMP}"
+
+mv examples/example.py .
+
+set -e
+for py in $(py3versions -s 2> /dev/null)
+do echo "Testing with $py in $(pwd):"
+ $py example.py
+done
=====================================
debian/upstream/metadata
=====================================
@@ -1,19 +1,7 @@
-Reference:
- - Author:
- Title:
- Journal:
- Year:
- Volume:
- Number:
- Pages:
- DOI:
- PMID:
- URL:
- eprint:
-Registry:
- - Name: conda:bioconda
- Entry:
- - Name: SciCrunch
- Entry:
- - Name: bio.tools
- Entry:
+---
+Archive: GitHub
+Bug-Database: https://github.com/hasindu2008/slow5lib/issues
+Bug-Submit: https://github.com/hasindu2008/slow5lib/issues/new
+Changelog: https://github.com/hasindu2008/slow5lib/tags
+Repository: https://github.com/hasindu2008/slow5lib.git
+Repository-Browse: https://github.com/hasindu2008/slow5lib
View it on GitLab: https://salsa.debian.org/med-team/libslow5lib/-/compare/1cb1272072f8fc913be1e61b817eb278632d7505...a8339849786e5feb751c3ba7917cfae51695802f
--
View it on GitLab: https://salsa.debian.org/med-team/libslow5lib/-/compare/1cb1272072f8fc913be1e61b817eb278632d7505...a8339849786e5feb751c3ba7917cfae51695802f
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220702/8a6f3794/attachment-0001.htm>
More information about the debian-med-commit
mailing list